@use 'sass:math';

%col {
	box-sizing: border-box;
	padding: 0 $gutter;
	background-clip: content-box;
}

@function colWidth($size) {
	$width: math.div($size, $columns);

	@return percentage($width);
}

@for $n from 1 through length($columnNames) {
	$colName: nth($columnNames, $n);
	$size: map_get($screen-breakpoint, $colName);

	@for $n from 1 through $columns {
		.col-#{$colName}-#{$n} {
			@extend %col;

			@media (min-width: $size) {
				flex-basis: colWidth($n);
				max-width: colWidth($n);
			}
		}
	}
}

.content {
	width: 100%;
}
